%define major 1
%define libname %mklibname xdamage %{major}
%define develname %mklibname xdamage -d

Name: libxdamage
Summary: X Damage Library
Version: 1.1.5
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdamage-%{version}.tar.bz2

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xfixes) >= 3.0.1.2
BuildRequires: x11-proto-devel >= 1.2.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Damage Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary: X Damage Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
X Damage Library.

%files -n %{libname}
%{_libdir}/libXdamage.so.%{major}
%{_libdir}/libXdamage.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xdamage-static-devel < 1.1.4-4

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/xdamage.pc
%{_includedir}/X11/extensions/Xdamage.h

#-----------------------------------------------------------

%prep
%setup -q -n libXdamage-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.1.5-2.mga8
+ Revision: 1523592
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 11 2019 tv <tv> 1.1.5-1.mga7
+ Revision: 1374144
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.4-10.mga7
+ Revision: 1299239
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.1.4-9.mga7
+ Revision: 1236033
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 1.1.4-8.mga6
+ Revision: 946384
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-7.mga5
+ Revision: 745951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-6.mga5
+ Revision: 681871
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-5.mga4
+ Revision: 532750
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.4-4.mga4
+ Revision: 469564
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.4-3.mga3
+ Revision: 397153
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.4-2.mga3
+ Revision: 358527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 1.1.4-1.mga3
+ Revision: 338939
- new release

* Mon Nov 21 2011 fwang <fwang> 1.1.3-2.mga2
+ Revision: 170319
- enable static
- drop .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 6628
- imported package libxdamage


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 1.1.3-1mdv2011.0
+ Revision: 556453
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.1.2-1mdv2010.1
+ Revision: 463606
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1.1-4mdv2010.0
+ Revision: 425883
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.1-3mdv2009.0
+ Revision: 223069
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-2mdv2008.1
+ Revision: 151701
- Update BuildRequires and rebuild.
  Also remove dependency on chrpath that should have been required to fix
  an problem in an old version.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 52788
- new devel library policy
- nuke rpath
- spec file clean
- new version


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1-1mdv2007.0
+ Revision: 116431
- new upstream version: 1.1

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.1
+ Revision: 85953
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

